var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconOptimalLayoutComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-optimal-layout").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M13.92 21.84a1.2 1.2 0 0 1-1.2-1.2v-6.72a1.2 1.2 0 0 1 1.2-1.2h6.72a1.2 1.2 0 0 1 1.2 1.2v6.72a1.2 1.2 0 0 1-1.2 1.2h-6.72Zm0-10.56a1.2 1.2 0 0 1-1.2-1.2V3.36a1.2 1.2 0 0 1 1.2-1.2h6.72a1.2 1.2 0 0 1 1.2 1.2v6.72a1.2 1.2 0 0 1-1.2 1.2h-6.72Zm-10.56 0a1.2 1.2 0 0 1-1.2-1.2V3.36a1.2 1.2 0 0 1 1.2-1.2h6.72a1.2 1.2 0 0 1 1.2 1.2v6.72a1.2 1.2 0 0 1-1.2 1.2H3.36Zm16.08-2.4V4.56h-4.32v4.32h4.32Zm-10.56 0V4.56H4.56v4.32h4.32ZM3.36 21.84a1.2 1.2 0 0 1-1.2-1.2v-6.72a1.2 1.2 0 0 1 1.2-1.2h6.72a1.2 1.2 0 0 1 1.2 1.2v6.72a1.2 1.2 0 0 1-1.2 1.2H3.36Zm11.76-2.4h4.32v-4.32h-4.32v4.32Zm-10.56 0h4.32v-4.32H4.56v4.32Z", clipRule: "evenodd" }));
}
var IconOptimalLayout = React.forwardRef(IconOptimalLayoutComponent);
export default IconOptimalLayout;
